<?xml version="1.0" encoding="utf-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>io.thorntail</groupId>
    <artifactId>config-api-parent</artifactId>
    <version>1.7.0.redhat-00005</version>
  </parent>

  <artifactId>keycloak-config-api-parent</artifactId>
  <version>1.7.0.redhat-00006</version>

  <packaging>pom</packaging>

  <properties>
    <version.keycloak>4.8.18.Final-redhat-00001</version.keycloak>
    <!-- We cannot use project.parent.version for submodules -->
    <version.wildfly-config-api>1.7.0.redhat-00005</version.wildfly-config-api>
  </properties>

  <scm>
    <connection>scm:git:git@github.com:thorntail/keycloak-config-api.git</connection>
    <developerConnection>scm:git:git@github.com:thorntail/keycloak-config-api.git</developerConnection>
    <url>https://github.com/thorntail/keycloak-config-api</url>
    <tag>1.7.0</tag>
  </scm>

  <modules>
    <module>client</module>
    <module>server</module>
  </modules>

  <dependencyManagement>
    <dependencies>
      <dependency>
        <groupId>org.keycloak</groupId>
        <artifactId>keycloak-parent</artifactId>
        <version>${version.keycloak}</version>
        <type>pom</type>
        <scope>import</scope>
      </dependency>
    </dependencies>
  </dependencyManagement>

  <dependencies>
    <dependency>
      <groupId>io.thorntail</groupId>
      <artifactId>config-api-runtime</artifactId>
      <version>${version.wildfly-config-api}</version>
    </dependency>
    <dependency>
      <groupId>org.wildfly.core</groupId>
      <artifactId>wildfly-controller</artifactId>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>io.thorntail</groupId>
      <artifactId>config-api-generator</artifactId>
      <version>${version.wildfly-config-api}</version>
      <scope>test</scope>
    </dependency>
  </dependencies>

  <build>
    <pluginManagement></pluginManagement>
    <plugins>
      <plugin>
        <groupId>org.commonjava.maven.plugins</groupId>
        <artifactId>project-sources-maven-plugin</artifactId>
        <version>1.0</version>
        <executions>
          <execution>
            <id>project-sources-archive</id>
            <phase>initialize</phase>
            <goals>
              <goal>archive</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
</project>
<!--
Modified by POM Manipulation Extension for Maven 3.8.3 ( SHA: 493ca742 ) 
-->

